package net.rumati.ezsql;

import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.Array;
import java.sql.Blob;
import java.sql.Clob;
import java.sql.Date;
import java.sql.NClob;
import java.sql.Ref;
import java.sql.RowId;
import java.sql.SQLException;
import java.sql.SQLXML;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Map;

/**
 *
 * @author jesse
 */
class ColumnByIndex
    extends Column
{
    private final int columnIndex;

    public ColumnByIndex(Row row, int columnIndex)
    {
        super(row);
        this.columnIndex = columnIndex;
    }

    @Override
    public Array getArray()
            throws SQLException
    {
        return row.getArray(columnIndex);
    }

    @Override
    public InputStream getAsciiStream()
            throws SQLException
    {
        return row.getAsciiStream(columnIndex);
    }

    @Override
    public BigDecimal getBigDecimal()
            throws SQLException
    {
        return row.getBigDecimal(columnIndex);
    }

    @Override
    public InputStream getBinaryStream()
            throws SQLException
    {
        return row.getBinaryStream(columnIndex);
    }

    @Override
    public Blob getBlob()
            throws SQLException
    {
        return row.getBlob(columnIndex);
    }

    @Override
    public boolean getBoolean()
            throws SQLException
    {
        return row.getBoolean(columnIndex);
    }

    @Override
    public byte getByte()
            throws SQLException
    {
        return row.getByte(columnIndex);
    }

    @Override
    public byte[] getBytes()
            throws SQLException
    {
        return row.getBytes(columnIndex);
    }

    @Override
    public Reader getCharacterStream()
            throws SQLException
    {
        return row.getCharacterStream(columnIndex);
    }

    @Override
    public Clob getClob()
            throws SQLException
    {
        return row.getClob(columnIndex);
    }

    @Override
    public Date getDate()
            throws SQLException
    {
        return row.getDate(columnIndex);
    }

    @Override
    public Date getDate(Calendar cal)
            throws SQLException
    {
        return row.getDate(columnIndex, cal);
    }

    @Override
    public double getDouble()
            throws SQLException
    {
        return row.getDouble(columnIndex);
    }

    @Override
    public float getFloat()
            throws SQLException
    {
        return row.getFloat(columnIndex);
    }

    @Override
    public int getInt()
            throws SQLException
    {
        return row.getInt(columnIndex);
    }

    @Override
    public long getLong()
            throws SQLException
    {
        return row.getLong(columnIndex);
    }

    @Override
    public Reader getNCharacterStream()
            throws SQLException
    {
        return row.getNCharacterStream(columnIndex);
    }

    @Override
    public NClob getNClob()
            throws SQLException
    {
        return row.getNClob(columnIndex);
    }

    @Override
    public String getNString()
            throws SQLException
    {
        return row.getNString(columnIndex);
    }

    @Override
    public Object getObject()
            throws SQLException
    {
        return row.getObject(columnIndex);
    }

    @Override
    public Object getObject(Map<String, Class<?>> map)
            throws SQLException
    {
        return row.getObject(columnIndex, map);
    }

    @Override
    public Ref getRef()
            throws SQLException
    {
        return row.getRef(columnIndex);
    }

    @Override
    public RowId getRowId()
            throws SQLException
    {
        return row.getRowId(columnIndex);
    }

    @Override
    public SQLXML getSQLXML()
            throws SQLException
    {
        return row.getSQLXML(columnIndex);
    }

    @Override
    public short getShort()
            throws SQLException
    {
        return row.getShort(columnIndex);
    }

    @Override
    public String getString()
            throws SQLException
    {
        return row.getString(columnIndex);
    }

    @Override
    public Time getTime()
            throws SQLException
    {
        return row.getTime(columnIndex);
    }

    @Override
    public Time getTime(Calendar cal)
            throws SQLException
    {
        return row.getTime(columnIndex, cal);
    }

    @Override
    public Timestamp getTimestamp()
            throws SQLException
    {
        return row.getTimestamp(columnIndex);
    }

    @Override
    public Timestamp getTimestamp(Calendar cal)
            throws SQLException
    {
        return row.getTimestamp(columnIndex, cal);
    }

    @Override
    public URL getURL()
            throws SQLException
    {
        return row.getURL(columnIndex);
    }

    @Override
    public Boolean getNullableBoolean()
            throws SQLException
    {
        return row.getNullableBoolean(columnIndex);
    }

    @Override
    public Byte getNullableByte()
            throws SQLException
    {
        return row.getNullableByte(columnIndex);
    }

    @Override
    public Double getNullableDouble()
            throws SQLException
    {
        return row.getNullableDouble(columnIndex);
    }

    @Override
    public Float getNullableFloat()
            throws SQLException
    {
        return row.getNullableFloat(columnIndex);
    }

    @Override
    public Integer getNullableInt()
            throws SQLException
    {
        return row.getNullableInt(columnIndex);
    }

    @Override
    public Long getNullableLong()
            throws SQLException
    {
        return row.getNullableLong(columnIndex);
    }

    @Override
    public Short getNullableShort()
            throws SQLException
    {
        return row.getNullableShort(columnIndex);
    }
}
