package net.rumati.ezsql;

import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.Array;
import java.sql.Blob;
import java.sql.Clob;
import java.sql.Date;
import java.sql.NClob;
import java.sql.Ref;
import java.sql.RowId;
import java.sql.SQLException;
import java.sql.SQLXML;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Map;

/**
 *
 * @author jesse
 */
class ColumnByLabel
    extends Column
{
    private final String columnLabel;

    public ColumnByLabel(Row row, String columnLabel)
    {
        super(row);
        this.columnLabel = columnLabel;
    }

    @Override
    public Array getArray()
            throws SQLException
    {
        return row.getArray(columnLabel);
    }

    @Override
    public InputStream getAsciiStream()
            throws SQLException
    {
        return row.getAsciiStream(columnLabel);
    }

    @Override
    public BigDecimal getBigDecimal()
            throws SQLException
    {
        return row.getBigDecimal(columnLabel);
    }

    @Override
    public InputStream getBinaryStream()
            throws SQLException
    {
        return row.getBinaryStream(columnLabel);
    }

    @Override
    public Blob getBlob()
            throws SQLException
    {
        return row.getBlob(columnLabel);
    }

    @Override
    public boolean getBoolean()
            throws SQLException
    {
        return row.getBoolean(columnLabel);
    }

    @Override
    public byte getByte()
            throws SQLException
    {
        return row.getByte(columnLabel);
    }

    @Override
    public byte[] getBytes()
            throws SQLException
    {
        return row.getBytes(columnLabel);
    }

    @Override
    public Reader getCharacterStream()
            throws SQLException
    {
        return row.getCharacterStream(columnLabel);
    }

    @Override
    public Clob getClob()
            throws SQLException
    {
        return row.getClob(columnLabel);
    }

    @Override
    public Date getDate()
            throws SQLException
    {
        return row.getDate(columnLabel);
    }

    @Override
    public Date getDate(Calendar cal)
            throws SQLException
    {
        return row.getDate(columnLabel, cal);
    }

    @Override
    public double getDouble()
            throws SQLException
    {
        return row.getDouble(columnLabel);
    }

    @Override
    public float getFloat()
            throws SQLException
    {
        return row.getFloat(columnLabel);
    }

    @Override
    public int getInt()
            throws SQLException
    {
        return row.getInt(columnLabel);
    }

    @Override
    public long getLong()
            throws SQLException
    {
        return row.getLong(columnLabel);
    }

    @Override
    public Reader getNCharacterStream()
            throws SQLException
    {
        return row.getNCharacterStream(columnLabel);
    }

    @Override
    public NClob getNClob()
            throws SQLException
    {
        return row.getNClob(columnLabel);
    }

    @Override
    public String getNString()
            throws SQLException
    {
        return row.getNString(columnLabel);
    }

    @Override
    public Object getObject()
            throws SQLException
    {
        return row.getObject(columnLabel);
    }

    @Override
    public Object getObject(Map<String, Class<?>> map)
            throws SQLException
    {
        return row.getObject(columnLabel, map);
    }

    @Override
    public Ref getRef()
            throws SQLException
    {
        return row.getRef(columnLabel);
    }

    @Override
    public RowId getRowId()
            throws SQLException
    {
        return row.getRowId(columnLabel);
    }

    @Override
    public SQLXML getSQLXML()
            throws SQLException
    {
        return row.getSQLXML(columnLabel);
    }

    @Override
    public short getShort()
            throws SQLException
    {
        return row.getShort(columnLabel);
    }

    @Override
    public String getString()
            throws SQLException
    {
        return row.getString(columnLabel);
    }

    @Override
    public Time getTime()
            throws SQLException
    {
        return row.getTime(columnLabel);
    }

    @Override
    public Time getTime(Calendar cal)
            throws SQLException
    {
        return row.getTime(columnLabel, cal);
    }

    @Override
    public Timestamp getTimestamp()
            throws SQLException
    {
        return row.getTimestamp(columnLabel);
    }

    @Override
    public Timestamp getTimestamp(Calendar cal)
            throws SQLException
    {
        return row.getTimestamp(columnLabel, cal);
    }

    @Override
    public URL getURL()
            throws SQLException
    {
        return row.getURL(columnLabel);
    }

    @Override
    public Boolean getNullableBoolean()
            throws SQLException
    {
        return row.getNullableBoolean(columnLabel);
    }

    @Override
    public Byte getNullableByte()
            throws SQLException
    {
        return row.getNullableByte(columnLabel);
    }

    @Override
    public Double getNullableDouble()
            throws SQLException
    {
        return row.getNullableDouble(columnLabel);
    }

    @Override
    public Float getNullableFloat()
            throws SQLException
    {
        return row.getNullableFloat(columnLabel);
    }

    @Override
    public Integer getNullableInt()
            throws SQLException
    {
        return row.getNullableInt(columnLabel);
    }

    @Override
    public Long getNullableLong()
            throws SQLException
    {
        return row.getNullableLong(columnLabel);
    }

    @Override
    public Short getNullableShort()
            throws SQLException
    {
        return row.getNullableShort(columnLabel);
    }
}
