package net.rumati.ezsql;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

public class EZSQLConnection
{
    private final Connection conn;

    public EZSQLConnection(Connection conn)
    {
        this.conn = conn;
    }

    public void close()
    {
        try {
            conn.close();
        }catch (SQLException ignore){}
    }

    public int executeUpdateSQL(String sql) throws SQLException
    {
        return EZSQL.executeUpdateSQL(conn, sql);
    }

    public int executeUpdateSQL(String sql, ParameterSetter parameter) throws SQLException
    {
        return EZSQL.executeUpdateSQL(conn, sql, parameter);
    }

    public int executeUpdateSQL(String sql, ParameterSetter[] parameters) throws SQLException
    {
        return EZSQL.executeUpdateSQL(conn, sql, parameters);
    }

    public int executeUpdateSQL(String sql, final List<ParameterSetter> parameters)
        throws SQLException
    {
        return EZSQL.executeUpdateSQL(conn, sql, parameters);
    }

    public <T> T withResultSet(String sql, final ResultSetHandler<T> handler) throws SQLException
    {
        return EZSQL.withResultSet(conn, sql, handler);
    }

    public <T> T withResultSet(String sql, ParameterSetter parameter, final ResultSetHandler<T> handler) throws SQLException
    {
        return EZSQL.withResultSet(conn, sql, parameter, handler);
    }

    public <T> T withResultSet(String sql, ParameterSetter[] parameters, ResultSetHandler<T> handler) throws SQLException
    {
        return EZSQL.withResultSet(conn, sql, parameters, handler);
    }

    public <T> T withResultSet(String sql, final List<ParameterSetter> parameters, final ResultSetHandler<T> handler) throws SQLException
    {
        return EZSQL.withResultSet(conn, sql, parameters, handler);
    }

    public <T> List<T> getAllResults(String sql, RowHandler<T> rowHandler) throws SQLException
    {
        return EZSQL.getAllResults(conn, sql, rowHandler);
    }

    public <T> List<T> getAllResults(String sql, ParameterSetter parameter, RowHandler<T> rowHandler) throws SQLException
    {
        return EZSQL.getAllResults(conn, sql, parameter, rowHandler);
    }

    public <T> List<T> getAllResults(String sql, ParameterSetter[] parameters, RowHandler<T> rowHandler) throws SQLException
    {
        return EZSQL.getAllResults(conn, sql, parameters, rowHandler);
    }

    public <T> List<T> getAllResults(String sql, List<ParameterSetter> parameters, RowHandler<T> rowHandler) throws SQLException
    {
        return EZSQL.getAllResults(conn, sql, parameters, rowHandler);
    }

    public <T> T getFirstResult(String sql, RowHandler<T> rowHandler) throws SQLException
    {
        return EZSQL.getFirstResult(conn, sql, rowHandler);
    }

    public <T> T getFirstResult(String sql, ParameterSetter parameter, RowHandler<T> rowHandler) throws SQLException
    {
        return EZSQL.getFirstResult(conn, sql, parameter, rowHandler);
    }

    public <T> T getFirstResult(String sql, ParameterSetter[] parameters, RowHandler<T> rowHandler) throws SQLException
    {
        return EZSQL.getFirstResult(conn, sql, parameters, rowHandler);
    }

    public <T> T getFirstResult(String sql, List<ParameterSetter> parameters, RowHandler<T> rowHandler) throws SQLException
    {
        return EZSQL.getFirstResult(conn, sql, parameters, rowHandler);
    }

    public <T> T getOneColumn(String sql, final ColumnHandler<T> columnHandler) throws SQLException
    {
        return EZSQL.getOneColumn(conn, sql, columnHandler);
    }

    public <T> T getOneColumn(String sql, ParameterSetter parameter, final ColumnHandler<T> columnHandler) throws SQLException
    {
        return EZSQL.getOneColumn(conn, sql, parameter, columnHandler);
    }

    public <T> T getOneColumn(String sql, ParameterSetter[] parameters, final ColumnHandler<T> columnHandler) throws SQLException
    {
        return EZSQL.getOneColumn(conn, sql, parameters, columnHandler);
    }

    public <T> T getOneColumn(String sql, List<ParameterSetter> parameters, final ColumnHandler<T> columnHandler) throws SQLException
    {
        return EZSQL.getOneColumn(conn, sql, parameters, columnHandler);
    }

    public String getOneString(String sql) throws SQLException
    {
        return EZSQL.getOneString(conn, sql);
    }

    public String getOneString(String sql, ParameterSetter parameter) throws SQLException
    {
        return EZSQL.getOneString(conn, sql, parameter);
    }

    public String getOneString(String sql, ParameterSetter[] parameters) throws SQLException
    {
        return EZSQL.getOneString(conn, sql, parameters);
    }

    public String getOneString(String sql, List<ParameterSetter> parameters) throws SQLException
    {
        return EZSQL.getOneString(conn, sql, parameters);
    }

    public int getOneInt(String sql) throws SQLException
    {
        return EZSQL.getOneInt(conn, sql);
    }

    public int getOneInt(String sql, ParameterSetter parameter) throws SQLException
    {
        return EZSQL.getOneInt(conn, sql, parameter);
    }

    public int getOneInt(String sql, ParameterSetter[] parameters) throws SQLException
    {
        return EZSQL.getOneInt(conn, sql, parameters);
    }

    public int getOneInt(String sql, List<ParameterSetter> parameters) throws SQLException
    {
        return EZSQL.getOneInt(conn, sql, parameters);
    }
}
