package net.rumati.ezsql;

import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * Handles a {@link PreparedStatement}.
 *
 * @author jesse
 * @param <E> the type of return value this object will generate when handling a {@link PreparedStatement}
 */
public interface PreparedStatementHandler<E>
{
    /**
     * Handles a {@link PreparedStatement}.
     *
     * @param pst the PreparedStatement to handle
     * @return an object built from the PreparedStatement
     * @throws SQLException on error
     */
    E handlePreparedStatement(PreparedStatement pst)
        throws SQLException;
}
